---
title: glab milestone list
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see <https://handbook.gitlab.com/handbook/product/ux/technical-writing/#assignments>
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

Get a list of milestones for a project or group.

```plaintext
glab milestone list [flags]
```

## Examples

```console
 # List milestones for a given project
$ glab milestone list --project 123
$ glab milestone list --project example-group/project-path

# List milestones for a group
$ glab milestone list --group example-group

# List only active milestones for a given group
$ glab milestone list --group example-group --state active

```

## Options

```plaintext
      --group string        The ID or URL-encoded path of the group.
      --include-ancestors   Include milestones from all parent groups.
  -p, --page int            Page number. (default 1)
  -P, --per-page int        Number of items to list per page. (default 20)
      --project string      The ID or URL-encoded path of the project.
      --search string       Return only milestones with a title or description matching the provided string.
      --show-id             Show IDs in table output.
      --state string        Return only 'active' or 'closed' milestones.
      --title string        Return only the milestones having the given title.
```

## Options inherited from parent commands

```plaintext
  -h, --help              Show help for this command.
  -R, --repo OWNER/REPO   Select another repository. Can use either OWNER/REPO or `GROUP/NAMESPACE/REPO` format. Also accepts full URL or Git URL.
```
